
      SUBROUTINE TIMDAT
     O                  (IARRAY,NUM)
C
C     + + + PURPOSE + + +
C     THIS SUBROUTINE IS USED TO REPLACE THE PRIME SYSTEM CALL
C     TO RETRIEVE THE SYSTEM DATE AND TIME
C
C     + + + DUMMY ARGUMENTS + + +
      INTEGER*2 NUM
      INTEGER*2 IARRAY(NUM)
C
C     + + + ARGUMENT DEFINITIONS + + +
C     IARRAY - 1 = month, 2=day, 3=year, 4=minutes since midnight
C     NUM    - number of elements in IARRAY
C
C     + + + LOCAL VARIABLES + + +
      INTEGER mo, da, yr, se, mn
      REAL sec
C
C     + + + EXTERNALS + + +
      EXTERNAL IDATE, SECNDS
C     IDATE and SECNDS ARE A DG SYSTEM SUBROUTINES
C
C     + + + END SPECIFICATIONS + + +
C
      CALL IDATE(mo,da,yr)
      sec = SECNDS(0.0)
C---round to nearest second
      se = sec + 0.5
C---determine minutes since midnight
      mn = se/60
C---determine seconds since minute
      se = se - mn*60
      IARRAY(1) = mo
      IARRAY(2) = da
      IARRAY(3) = yr
      IARRAY(4) = mn
      IARRAY(5) = se
      RETURN
      END
