
      SUBROUTINE TIMDAT
     O                  (IARRAY,NUM)
C
C     + + + PURPOSE + + +
C     THIS SUBROUTINE IS USED TO REPLACE THE PRIME SYSTEM CALL
C     TO RETRIEVE THE SYSTEM DATE AND TIME
C
C     + + + DUMMY ARGUMENTS + + +
      INTEGER*2 NUM
      INTEGER*2 IARRAY(NUM)
C
C     + + + ARGUMENT DEFINITIONS + + +
C     IARRAY - 1 = month, 2=day, 3=year, 4=minutes since midnight
C     NUM    - number of elements in IARRAY
C
C     + + + LOCAL VARIABLES + + +
      CHARACTER cdate*8, ctime*11
      INTEGER mo, da, yr, ih, mn, is, se
C
C     + + + EXTERNALS + + +
      EXTERNAL DATE, TIME
C     DATE and TIME ARE A LAHEY FORTRAN SYSTEM SUBROUTINES
C
C     + + + END SPECIFICATIONS + + +
C
      CALL DATE(cdate)
      READ (cdate,10) mo, da, yr
      CALL TIME(ctime)
      READ (ctime,10) ih, mn, is
      se = ih*3600 + mn*60 + is
C---determine minutes since midnight
      mn = se/60
C---determine seconds since minute
      se = se - mn*60
      IARRAY(1) = mo
      IARRAY(2) = da
      IARRAY(3) = yr
      IARRAY(4) = mn
      IARRAY(5) = se
      RETURN
  10  FORMAT (3(I2,1X))
      END
