
      SUBROUTINE TIMDAT
     O                  (IARRAY,NUM)
C
C     + + + PURPOSE + + +
C     THIS SUBROUTINE IS USED TO REPLACE THE PRIME SYSTEM CALL
C     TO RETRIEVE THE SYSTEM DATE AND TIME
C
C     + + + DUMMY ARGUMENTS + + +
      INTEGER*2 NUM
      INTEGER*2 IARRAY(NUM)
C
C     + + + ARGUMENT DEFINITIONS + + +
C     IARRAY - 1 = month, 2=day, 3=year, 4=minutes since midnight
C     NUM    - number of elements in IARRAY
C
C     + + + LOCAL VARIABLES + + +
      INTEGER dattim(3), mo, da, yr, se, mn
C
C     + + + EXTERNALS + + +
      EXTERNAL IDATE, SECNDS
C     IDATE and SECNDS ARE SUN FORTRAN SYSTEM SUBROUTINES
C
C     + + + END SPECIFICATIONS + + +
C
      CALL IDATE(dattim)
      yr = MOD(dattim(3),100)
      mo = dattim(2)
      da = dattim(1)
      CALL ITIME(dattim)
      hr = dattim(1)
      mn = dattim(2)
      se = dattim(3)
      se = hr*3600 + mn*60 + se
C---determine minutes since midnight
      mn = se/60
C---determine seconds since minute
      se = se - mn*60
      IARRAY(1) = mo
      IARRAY(2) = da
      IARRAY(3) = yr
      IARRAY(4) = mn
      IARRAY(5) = se
      RETURN
      END
